{% extends 'layout.html' %}

{% block content %}
<div class="row py-5">
    <h1>Todo list</h1>
    <a href="{{url_for('index')}}">Go to home</a>

    <div class="col-lg-5 col-md-12">
        <ul class="list-group">
            {% for todo in todos %}
            <li class="list-group-item d-flex justify-content-between">
                <span>{{todo.label}}</span>
<!--                <a href="{{url_for('todo_delete', id=todo.id)}}">-->
                <span class="icon delete material-symbols-outlined" data-id="{{todo.id}}">
                    close
                </span>
<!--                </a>-->
            </li>
            {% endfor %}
        </ul>

<!--        {% if todos | length == 0 %}-->
            <h2 class="mt-3 no-todos {{'hidden' if todos | length > 0}}">No todos</h2>
<!--        {% endif %}-->

<!--        <form class="mt-3" action="{{url_for('todo_list')}}" method="post">-->
        <form class="mt-3">
            <div>
                <label for="label" class="form-label">Label:</label>
                <input type="text" class="form-control" id="label" name="label">
            </div>

            <button class="btn btn-primary w-100 mt-3" type="submit" disabled>Add todo</button>
        </form>
    </div>
</div>
{% endblock %}